libzypp 17.37.10

ReleaseFileGuard Class Reference

Release a provided file upon destruction. More...

`#include <zypp/MediaSetAccess.h>`

## Detailed Description

Release a provided file upon destruction.

In case you don't want to wait until the MediaSetAccess itself goes out of scope.

MediaSetAccess media;
OnMediaLocation loc;
{
Pathname file = media.provideFile( loc );
ReleaseFileGuard guard( media, loc );
} // provided file is released here.
ReleaseFileGuard
Release a provided file upon destruction.

The documentation for this class was generated from the following file:

- zypp/MediaSetAccess.h